<template>
	<div>
		<v-container class="n-step-container">
			<v-layout wrap>
				<v-flex md6>
					<v-container>
						<div class="mdc-form-row">
							<mc-control-label >Campaign Name</mc-control-label>
							<mc-text-field
								v-model="client.name"
								v-validate="{ required: true }"
								name="name"
								placeholder="Type campaign name here"/>
							<span
								class="red--text"
								v-show="errors.has('name')"
							>{{ errors.first('name') }}</span>
						</div>
						<mc-form-row>
							<mc-control-label >Client</mc-control-label>
							<mc-select
								id="client"
								enhanced
								:float="false"
								name="client"
								v-model="client.client"
								v-validate="'required'"
								@change="onChangeClient"
								placeholder="Choose a client"
								:options="clientList"
							>
							</mc-select>
							<span v-show="errors.has('client')" class="red--text">
						{{ errors.first('client') }}
					</span>
						</mc-form-row>
						<v-layout
							v-show="clientSelected"
							row wrap class="n-item-info mdc-m--top-15">
							<v-flex xs12>
								<div class="n-title">
									<span>{{clientSelected.name}}</span>
								</div>
							</v-flex>
							<v-flex xs3>
								<div class="n-title-label">
									<template  v-if="clientSelected.email">
										<span class="grey--text">Email</span><br>
									</template>
									<template  v-if="clientSelected.phone">
										<span class="grey--text">Phone Number</span><br>
									</template>
									<template  v-if="clientSelected.address">
										<span class="grey--text">Address</span><br>
									</template>
								</div>
							</v-flex>
							<v-flex xs9>
								<div class="n-title-text">
									<template  v-if="clientSelected.email">
										<span >{{clientSelected.email}}</span><br>
									</template>
									<template  v-if="clientSelected.phone">
										<span >{{clientSelected.phone}}</span><br>
									</template>
									<template  v-if="clientSelected.address">
										<span >{{clientSelected.address}}</span><br>
									</template>
								</div>
							</v-flex>
						</v-layout>
					</v-container>
				</v-flex>
				<v-flex md6 class="n-col">
					<v-container>
						<mc-form-row>
							<mc-control-label >Description</mc-control-label>
							<mc-text-field
								textarea
								cols="20" rows="5"
								v-model="client.description"
								placeholder="Type description here"/>
						</mc-form-row>
					</v-container>
				</v-flex>
			</v-layout>
		</v-container>
		<v-container class="n-container">
			<div class="n-row">
				<v-layout wrap>
					<v-flex class="mdc-text-right mdc-m--top-15 mdc-p--top-15">
						<v-btn round color="default" @click="$emit('cancel', {message: localed.leave } )">Cancel</v-btn>
						<v-btn
							round
							color="primary"
							@click="save"
						>
							Save
						</v-btn>
					</v-flex>
				</v-layout>
			</div>
		</v-container>
	</div>

</template>
<script src="./Client.js"></script>
